Bug 1543435 - A-MQ Components not visible in Java Console when using IE11 browser
Summary: A-MQ Components not visible in Java Console when using IE11 browser
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 3.6.1
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
: 3.6.z
Assignee: Alexandre Kieling
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On: 1518407
Blocks: 1519573 1543396 1543402 1543467 1543525 1543532
TreeView+ depends on / blocked
 
Reported: 2018-02-08 13:16 UTC by Alexandre Kieling
Modified: 2018-04-12 06:03 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Use of javascript Array/String methods not supported by IE11 (Array.find, Array.findIndex, String.startsWith, String.endsWith) Consequence: Error that prevents some A-MQ pages to show content when the user clicks on a tree node Fix: Replace the unsupported methods with the Lodash library equivalent methods Result: A-MQ pages show their content as expected
Clone Of: 1518407
: 1543467 (view as bug list)
Environment:
Last Closed: 2018-04-12 06:02:11 UTC
Target Upstream Version:


Attachments (Terms of Use)
The right pane shows details about the selected tree node -- IE 11 (92.03 KB, image/png)
2018-02-14 02:10 UTC, Junqi Zhao
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:1106 None None None 2018-04-12 06:03:12 UTC

Comment 1 Alexandre Kieling 2018-02-12 14:05:04 UTC
Pull request:
https://github.com/openshift/origin-web-console/pull/2788

Comment 3 Junqi Zhao 2018-02-14 02:09:49 UTC
The right pane shows details about the selected tree node in IE 11 now, see the attached picture.

IE Version: 11.248.16299.0

# openshift version
openshift v3.6.173.0.103
kubernetes v1.6.1+5115d708d7
etcd 3.2.1

Comment 4 Junqi Zhao 2018-02-14 02:10:15 UTC
Created attachment 1395734 [details]
The right pane shows details about the selected tree node -- IE 11

Comment 7 errata-xmlrpc 2018-04-12 06:02:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:1106


Note You need to log in before you can comment on or make changes to this bug.